at.chipkarte.client.fus.soap

## Class WpErstformular

- Object
- - at.chipkarte.client.fus.soap.WpErstformular

-     public class WpErstformular
      extends Object

  Beinhaltet die Eingangsdaten zur Erfassung eines Wahlbehandler Formulars durch den Vertragspartner.
  Die Daten werden teils aufgrund der Eingaben des Benutzers und teils aufgrund automatischer Ermittlungen im Zuge der Erfassung befüllt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WpErstformular()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AIBDaten` | `getAib()` Formular spezifischer Daten eines AIB Formulars.
    `AKBDaten` | `getAkb()` Formular spezifischer Daten eines AKB Formulars.
    `AttachmentInfo` | `getAttachmentInfo()` Die Metadaten zum gesamten Attachment-Paket.
    `String` | `getBehandlungsdatum()` Behandlungsdatum.
    `BIBDaten` | `getBib()` Formular spezifischer Daten eines BIB Formulars.
    `BKIDaten` | `getBki()` Formular spezifischer Daten eines BKI Formulars.
    `String` | `getFachgebietscode()` Codewert des Fachgebietes.
    `String` | `getFormulartyp()` Typ des Formulars.
    `String` | `getKvt()` KV-Träger.
    `RIBDaten` | `getRib()` Formular spezifischer Daten eines RIB Formulars.
    `RKBDaten` | `getRkb()` Formular spezifischer Daten eines RKB Formulars.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `void` | `setAib(AIBDaten aib)`
    `void` | `setAkb(AKBDaten akb)`
    `void` | `setAttachmentInfo(AttachmentInfo attachmentInfo)`
    `void` | `setBehandlungsdatum(String behandlungsdatum)`
    `void` | `setBib(BIBDaten bib)`
    `void` | `setBki(BKIDaten bki)`
    `void` | `setFachgebietscode(String fachgebietscode)`
    `void` | `setFormulartyp(String formulartyp)`
    `void` | `setKvt(String kvt)`
    `void` | `setRib(RIBDaten rib)`
    `void` | `setRkb(RKBDaten rkb)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WpErstformular

          public WpErstformular()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder in der aufrufenden Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getFormulartyp

          public String getFormulartyp()

      Typ des Formulars.
      Mögliche Werte siehe `FormulartypConstants`. Es sind nur die Werte BIB, RIB, AIB, BKI, RKB und AKB gültig.
      Angabe: Muss.
      Returns:
        Formulartyp.

    - #### setFormulartyp

          public void setFormulartyp(String formulartyp)

    - #### getFachgebietscode

          public String getFachgebietscode()

      Codewert des Fachgebietes.
      Mögliche Werte siehe `relevanteWpFachgebieteErmitteln`.
      Angabe: Muss.
      Returns:
        Fachgebietscode.

    - #### setFachgebietscode

          public void setFachgebietscode(String fachgebietscode)

    - #### getBehandlungsdatum

          public String getBehandlungsdatum()

      Behandlungsdatum.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Wertebereich: Darf nicht vor dem 01.07.2015 und nicht in der Zukunft liegen.
      Returns:
        Behandlungsdatum.

    - #### setBehandlungsdatum

          public void setBehandlungsdatum(String behandlungsdatum)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getBib

          public BIBDaten getBib()

      Formular spezifischer Daten eines BIB Formulars. Siehe `BIBDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich BIB.
      Returns:
        BIBDaten.

    - #### setBib

          public void setBib(BIBDaten bib)

    - #### getRib

          public RIBDaten getRib()

      Formular spezifischer Daten eines RIB Formulars. Siehe `RIBDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich RIB.
      Returns:
        RIBDaten.

    - #### setRib

          public void setRib(RIBDaten rib)

    - #### getAib

          public AIBDaten getAib()

      Formular spezifischer Daten eines AIB Formulars. Siehe `AIBDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich AIB.
      Returns:
        AIBDaten.

    - #### setAib

          public void setAib(AIBDaten aib)

    - #### getBki

          public BKIDaten getBki()

      Formular spezifischer Daten eines BKI Formulars. Siehe `BKIDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich BKI.
      Returns:
        BKIDaten.

    - #### setBki

          public void setBki(BKIDaten bki)

    - #### getRkb

          public RKBDaten getRkb()

      Formular spezifischer Daten eines RKB Formulars. Siehe `RKBDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich RKB.
      Returns:
        RKBDaten.

    - #### setRkb

          public void setRkb(RKBDaten rkb)

    - #### getAkb

          public AKBDaten getAkb()

      Formular spezifischer Daten eines AKB Formulars. Siehe `AKBDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich AKB.
      Returns:
        AKBDaten.

    - #### setAkb

          public void setAkb(AKBDaten akb)

    - #### getAttachmentInfo

          public AttachmentInfo getAttachmentInfo()

      Die Metadaten zum gesamten Attachment-Paket. Siehe `AttachmentInfo`.
      Angabe: Bedingt. Darf nicht angegeben werden, wenn für den Formulartyp die Angabe von Anlagen unzulässig ist.
      Muss angegeben werden, wenn die Angabe zulässig ist, da mindestens eine Anlage übertragen werden muss.
      Returns:
        AttachmentInfo.

    - #### setAttachmentInfo

          public void setAttachmentInfo(AttachmentInfo attachmentInfo)